
-- Insert en la particion por Fecha de Evento, sin criterio de reinyectable en el WHERE Clause (Se mezclarian con los suscriptorizados)
insert into table ${DBNAME_EDW}.f_ps_saldos_detallada partition(fecha)
select 
ani_cd,
saldo_cd,
saldo_disponible_mo,
caducidad_fh,
saldo_bolsa_2_mo,
caducidad_2_fh,
saldo_bolsa_3_mo,
caducidad_3_fh,
saldo_bolsa_4_mo,
caducidad_4_fh,
saldo_bolsa_5_mo,
caducidad_5_fh,
saldo_bolsa_6_mo,
caducidad_6_fh,
deuda_pendiente_compensar_mo,
inicio_deuda_fe,
habilitacion_uso_deuda_fl,
nombre_extractor_tx,
fecha_id,

sistema_origen_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
cast(substr(split(nombre_extractor_tx,'_')[4],1,8) as int) as fecha
from ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect
where 
 cast(substr(split(nombre_extractor_tx,'_')[4],1,8) as int) <
cast(date_format(current_date,'yyyyMM01') as int );

DROP TABLE ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect_temp;

CREATE TABLE ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect_temp AS 
SELECT 
ani_cd,
saldo_cd,
saldo_disponible_mo,
caducidad_fh,
saldo_bolsa_2_mo,
caducidad_2_fh,
saldo_bolsa_3_mo,
caducidad_3_fh,
saldo_bolsa_4_mo,
caducidad_4_fh,
saldo_bolsa_5_mo,
caducidad_5_fh,
saldo_bolsa_6_mo,
caducidad_6_fh,
deuda_pendiente_compensar_mo,
inicio_deuda_fe,
habilitacion_uso_deuda_fl,
nombre_extractor_tx,
fecha_id,

sistema_origen_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
error_cd ,
reinyectable 
from ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect
where cast(substr(split(nombre_extractor_tx,'_')[4],1,8) as int) >=
cast(date_format(current_date,'yyyyMM01') as int );

insert overwrite table ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect
select
ani_cd,
saldo_cd,
saldo_disponible_mo,
caducidad_fh,
saldo_bolsa_2_mo,
caducidad_2_fh,
saldo_bolsa_3_mo,
caducidad_3_fh,
saldo_bolsa_4_mo,
caducidad_4_fh,
saldo_bolsa_5_mo,
caducidad_5_fh,
saldo_bolsa_6_mo,
caducidad_6_fh,
deuda_pendiente_compensar_mo,
inicio_deuda_fe,
habilitacion_uso_deuda_fl,
nombre_extractor_tx,
fecha_id,

sistema_origen_id,

suscripcion_id ,
suscripcion_cd ,
interurbano_cd ,
urbano_cd ,
linea_cd ,
tipo_oferta_id ,
tipo_oferta_de ,
catalogo_producto_id ,
catalogo_producto_cd ,
catalogo_producto_de ,
geografia_cnc_id ,
geografia_cnc_cd ,
sub_alm_cd ,
alm_cd ,
sub_region_cnc_id ,
sub_region_cnc_de ,
region_cnc_id ,
region_cnc_de ,
flag_prepago_express_id ,
operadora_propietaria_id ,
operadora_propietaria_cd ,
operadora_propietaria_de ,
operadora_receptora_id ,
operadora_receptora_cd ,
operadora_receptora_de ,
operadora_donante_id ,
operadora_donante_cd ,
operadora_donante_de ,
flag_volte_id ,
flag_volte_cd ,
flag_volte_de ,
equipo_tecnologia_id ,
equipo_tecnologia_cd ,
equipo_tecnologia_de ,
equipo_utilizado_tecnologia_id ,
equipo_utilizado_tecnologia_cd ,
equipo_utilizado_tecnologia_de ,
catalogo_equipo_id ,
catalogo_equipo_cd ,
catalogo_equipo_de ,
estado_suscripcion_id ,
estado_suscripcion_cd ,
estado_suscripcion_de ,
fecha_estado_suscripcion_id ,
cliente_id ,
cliente_cd ,
sub_tipo_cliente_id ,
sub_tipo_cliente_cd ,
sub_tipo_cliente_de ,
tipo_cliente_id ,
tipo_cliente_cd ,
tipo_cliente_de ,
ciclo_facturacion_id ,
ciclo_facturacion_cd ,
ciclo_facturacion_de ,
score_economico_id ,
score_economico_cd ,
score_economico_de ,
operadora_larga_distancia_id ,
operadora_larga_distancia_cd ,
operadora_larga_distancia_de ,
error_cd ,
reinyectable 
from ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect_temp;

DROP TABLE ${DBNAME_EDW}.f_ps_saldos_detallada_reinyect_temp;




